3.2.7->3.2.8 Automatic Upgrade borked

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
kwakaphp
Registered User
Posts: 23
Joined: Mon Dec 22, 2008 10:46 am
Name: Bazz

3.2.7->3.2.8 Automatic Upgrade borked

Post by kwakaphp » Tue Oct 08, 2019 2:48 am

I followed the Automatic Upgrade doco but am seeing a blank white page when I browse to the Install directory.

Error Log:
Stack trace:
#0 /home/farcom/public_html/auskawasakiriders.com/forum/install/startup.php(143): phpbb\di\container_builder->get_container()
#1 /home/farcom/public_html/auskawasakiriders.com/forum/install/app.php(30): require('/home/farcom/pu...')
#2 {main}
thrown in /home/farcom/public_html/auskawasakiriders.com/forum/phpbb/di/container_builder.php on line 157

Any clues on how to fix this?

TIA.

User avatar
dingus33
Registered User
Posts: 112
Joined: Fri Sep 29, 2017 11:11 am

Re: 3.2.7->3.2.8 Automatic Upgrade borked

Post by dingus33 » Tue Oct 08, 2019 4:56 am

no, there's not much info in that error.
but i just read a bit more about your unfortunate predicament on your site.
https://auskawasakiriders.com/forum.php wrote:UPGRADE MADNESS: 2nd October 2019
Fuggen upgrades, sheesh what a headache!

Ya try and do the right thing and upgrade coz our Web Hosting provider or more accurately, the forum software recommends it and what happens?

It goes pear shape.

Having a blackout at my end didn't help either. Will try and get the forum back ASAP.

UPDATE: 8th October 2019
This upgrade is well and truly borked! Somehow files have become corrupted, even the backups are failing. What to do, what to do?
Am trying a couple more tricks but if I keep beating myself up over this it's bye bye old forum. Sorry to see you go but geez, enough is enough!
some tips for the future:
  • get some kind of automatic backup solution working for both your server's files and database.
  • periodically test your backups by restoring them in a test server (staging environment)! this is so very important. backups are worthless unless you know that they're good AND that you can successfully restore them. don't just trust that they'll work. YOU MUST TEST THEM.
  • don't make major changes, including upgrades, without first testing in a staging environment (restored from backups).
    • this lets you work out the kinks without messing up your real board. as a bonus, when the time comes to do it on your real board, you'll be able to do it quickly, and so downtime will be minimized. also, it's an opportunity to test your backups.
post more info if you've got it, and good luck with your restore. don't give up yet.

User avatar
janus_zonstraal
Registered User
Posts: 3623
Joined: Sat Aug 30, 2014 1:30 pm

Re: 3.2.7->3.2.8 Automatic Upgrade borked

Post by janus_zonstraal » Tue Oct 08, 2019 5:35 am

Did you edit the .htaccess file?

Or try the recommended update method
https://www.phpbb.com/support/docs/en/3 ... ating-32x/
Sorry! My English is bat ;) !!!

kwakaphp
Registered User
Posts: 23
Joined: Mon Dec 22, 2008 10:46 am
Name: Bazz

Re: 3.2.7->3.2.8 Automatic Upgrade borked

Post by kwakaphp » Wed Oct 09, 2019 2:00 am

dingus33 wrote:
Tue Oct 08, 2019 4:56 am
there's not much info in that error.
Thanks for the reply.

Being using phpBB since 2009 so know the drill well. Most times, all goes well. If there's an issue I can't resolve, the backups never failed me until this time round.

Fwiw, I do use development servers but no luck there either. I've other backups I have so will try a rollback to a lower version of phpBB.

When it comes to doing things quickly, yeah nah, not with the blazingly slow internet speeds in the remote area of Australia I live in. Still waiting for the 25Mbps/5Mbps promised to us back in 2007!!!
Last edited by Mick on Wed Oct 09, 2019 9:04 am, edited 1 time in total.
Reason: Removed unnecessary full quoting.

kwakaphp
Registered User
Posts: 23
Joined: Mon Dec 22, 2008 10:46 am
Name: Bazz

Re: 3.2.7->3.2.8 Automatic Upgrade borked

Post by kwakaphp » Wed Oct 09, 2019 2:03 am

janus_zonstraal wrote:
Tue Oct 08, 2019 5:35 am
Did you edit the .htaccess file?
No.
Sorry, correction: Yes #RewriteBase /
Changed as per recommended in the file but no go. Forum worked before without implementing any changes to this file.
Or try the recommended update method
https://www.phpbb.com/support/docs/en/3 ... ating-32x/
Yes, tried that too.

kwakaphp
Registered User
Posts: 23
Joined: Mon Dec 22, 2008 10:46 am
Name: Bazz

Re: 3.2.7->3.2.8 Automatic Upgrade borked

Post by kwakaphp » Thu Oct 10, 2019 12:18 pm

OK, issue resolved!

It was most definitely a corrupt files issue.

After I download again the backup forum dir, files and db from the web host and ran the upgrade process on my dev server, it TOK (Tested OK)
Righto then, lets tackle the web host upgrade next.

Steps taken:
Connect to the web host via FTP, ughh... stuck at "...retrieving directory...."
Seems the issue was exacerbated at the web host end as they needed to upgrade cPanel before I could connect via FTP.
Wait 30~40 mins for the that to finish.

Then:
Backup the forum database, again.
Then created a new user and db with the same credentials as the existing db via phpMyAdmin and imported the existing db to it.
Uploaded the complete 3.2.8 install package less /ext, /files and /image dirs
Then uploaded the old forum /ext, /files, /images /styles dirs and overwrote the config.php
Browsed to the /install dir and, voila, back online!
Completed the upgrade (database only), successful!
Check and tested the forum and the ACP and it all TOK!

Yeehaa and whew!
Ok now off for that well earned beverage ;)

Post Reply

Return to “[3.2.x] Support Forum”